Jump to content
3000AD Forums
Sign in to follow this  
Axil

[UCCE] Problem with SecuROM DRM

Recommended Posts

Hello once again,

So I went online today and bought the collectors edition of Universal Combat, paid $29.95 no less. Anyway I downloaded the direct to drive game, installed it and ran it using the activation code I was given.. all went well.

Then, due to many errors, bugs, call em what you will, I used the online updater to patch up to the latest version, this it did but guess what?

Now when I try to run the game I have to enter an activation code again ffs and of course the code I have is not bloody recognised so then I spent hours reading loads of crap online about how to solve the problem, hours that I should be spending playing the damn game!!!

And still I await a reply from someone alive instead of some automated geeky system that has not even come close to solving my problem.. thirty dollars and three hours I have lost trying to sort a problem that should never have occurred. The people responsible for this should be bloody ashamed of themselves, at least Dick Turpin wore a mask!

Oh and please I beg you, dont give me some arrogant crap about how I am on the wrong forum or the font I am using is the wrong size or that I am not a full member of the tufty club, if you know how to solve this problem please tell me if you dont then dont reply, right now the very last thing I need is more bollox.

Cheers

Ax

Share this post


Link to post
Share on other sites

I'm in the middle of the same issue myself. Bought, ran it fine, saw the patch was released, ran the updater, confirmed that it was installing to the proper place and now it wants to be activated again. I'm in the middle of an email exchange with the Direct to Drive folk now. Hopefully we can get this worked out.

Share this post


Link to post
Share on other sites

Hey guys, calm down!! It could be that the license was invoked for whatever reason.

In the meantime, you can roll back to the previous patch version until we figure out what is going on.

Here's how:

  1. Fire up notepad.exe or similar text editor and load the settings.ini file
  2. change the version=1.00.05 line to version=1.00.03.02
  3. save the file
  4. run the updater

It will tell you that 1.00.04 is available. Let it download and apply.

Run updater again. This time, it will tell you that 1.00.04.01 is available. Let it download and apply.

You're now back at the previous version.

If the above doesn't work or is too cumbersome, just locate the 1.00.04 and 1.00.04.01 patches and apply them one after the

other. You can download them from below. However, if you do this manually, then you have to edit your settings.ini file

to match the latest patch version you applied.

v1.00.04 (Direct2Drive)

v1.00.04.01 (Direct2Drive)

I'll investigate further tomorrow, but the D2D and DVD-ROM versions use the same SecuROM DRM.

Share this post


Link to post
Share on other sites

Nope it still does not work..

All it says is version 1.00.05 is available.

I stepped back but it is STILL wanting an activation code..

Any advice on getting a refund, I cannot waste any more time on this damn game, or better still, is there a newer version altogether of a similair battlecruiser type game

Thanks for trying Sup, Comm.

Share this post


Link to post
Share on other sites
Nope it still does not work..

All it says is version 1.00.05 is available.

I stepped back but it is STILL wanting an activation code..

Any advice on getting a refund, I cannot waste any more time on this damn game, or better still, is there a newer version altogether of a similair battlecruiser type game

Thanks for trying Sup, Comm.

1. If you download and applied the two patches as indicated above, the version will roll back and you'll be back to the previous version which worked with the

license you have. You don't need to run the updater. And if you don't, you won't get told that 1.00.05 is available. Until we figure out with Direct2Drive whats going

on, don't update to the latest version. Apart from that, there are no critical updates in the 1.00.05 patch. So you're not missing anything. It is merely a maintenance

update.

2. Software sales are final and no refunds are offered. You are most welcome to take that up with Direct2Drive however. Good luck with that.

In closing, I already edited your thread topic and parts of your post. You're just one more flippant comment from being banned from posting. In case you missed the

memo, look around this forum. Does it resemble any other gaming forum on the Net? Guess why that is. Yes, thats right. We don't tolerant rubbish around here.

Anyway, until we figure out what is going on, I have removed this patch from the updater's D2D rotation.

Share this post


Link to post
Share on other sites

Done the two patches manually and it now allows access to the game. Give it a try Rich, it definitely works mate. Hope they can sort the problem before they release a more critical patch, assuming they will release one that is.

Beta key for galactic command out of the question then I take it?

Share this post


Link to post
Share on other sites
Done the two patches manually and it now allows access to the game. Give it a try Rich, it definitely works mate. Hope they can sort the problem before they release a more critical patch, assuming they will release one that is.

Beta key for galactic command out of the question then I take it?

Derek, thanks for looking into this. I'll stop at 1.00.04

Axil, thanks for the tip. I'll probably try it tonight after work. And no, there really are no other games like this. It's worth spending the time to get familiar with the interface and the universe.

Share this post


Link to post
Share on other sites
Derek, thanks for looking into this. I'll stop at 1.00.04

Axil, thanks for the tip. I'll probably try it tonight after work. And no, there really are no other games like this. It's worth spending the time to get familiar with the interface and the universe.

Ok, uninstalling and reinstalling fixed it. I did not patch up to 1.00.05....I'll wait on that for now.

Share this post


Link to post
Share on other sites
I'll investigate further tomorrow, but the D2D and DVD-ROM versions use the same SecuROM DRM.

As it so happens, my DVD-ROM version stopped working after applying the 1.00.05 patch that was selected by the updater. 1.00.04.01 patch works.

Share this post


Link to post
Share on other sites

This is a SecuROM DRM licensing issue and I'm waiting for a response from Direct2Drive and Sony to tell me wtf is going on. In the meantime, I have pulled the patches and reset the Updater to only show the previous 1.00.04.01 patch.

Sorry for the inconvenience but this is the kind of crap we - as gamers - unfortunately have to deal with. Meanwhile, none of these draconian DRM schemes do much to deter pirates [bastards]

Share this post


Link to post
Share on other sites

Sony has located the source of the licensing issue with the Direct2Drive DRM. It was an issue in the encryption certificate. It has been fixed but I'm not going to re-issue the patch because there is a major multiplayer patch coming in the 1.00.06 build sometime next week. So wait for that version instead.

Share this post


Link to post
Share on other sites

Calling all ready, willing and able DRM guinea pigs! :salute:

The Direct2Drive patch has been re-issued; hopefully with the correct license. Please check it out and post here with a yay or nay verdict.

Share this post


Link to post
Share on other sites

I cannot run the DVD-ROM version on 1.00.05. I roll back to 1.00.04.01 and it works fine. This is with the updated 1.00.05 patch released on March 7th.

Share this post


Link to post
Share on other sites

What do you mean by you can't run it?

Where did you download this patch from?

What is the date/time/size of the ucce_1.00.05.exe file that you using. It is located in your game's folder.

Share this post


Link to post
Share on other sites

I have the task manager open and after double clicking on my UCCE desktop shortcut, UCCE.exe shows in the process list for 1 or 2 seconds and then dies. This is the only indication that the application started.

I downloaded the patch from the 3000AD patches page -> http://downloads.3000ad.com/ucce_1.00.05.exe

File properties for UCCE.exe is:

Friday, March 07, 2008, 10:51 AM

9,992 KB

Share this post


Link to post
Share on other sites

Not sure when you downloaded that, but you have an incomplete file. The 1.00.05 patch file is exactly 19MB (19,966,648 bytes)

Share this post


Link to post
Share on other sites

The DRM used in the DVD-ROM build is the same as with the Direct2Drive build. If this were a DRM issue, you would be prompted for a license renewal. So I think that

something else is going on here.

For my sanity's sake, I need you to download the patch again, re-apply it, and try running the game again. Make sure that you have your game's DVD-ROM in the drive.

But first, I need you to make a backup of the fmodex.dll file in the game folder. This would be the version from 1.00.04.01. Then patch and run the game. If the game

does not work, delete the fmodex.dll file that was added by the 1.00.05 patch, then rename the 1.00.04.01 version back and start the game again.

Share this post


Link to post
Share on other sites
The DRM used in the DVD-ROM build is the same as with the Direct2Drive build. If this were a DRM issue, you would be prompted for a license renewal. So I think that something else is going on here.

For my sanity's sake, I need you to download the patch again, re-apply it, and try running the game again. Make sure that you have your game's DVD-ROM in the drive.

But first, I need you to make a backup of the fmodex.dll file in the game folder. This would be the version from 1.00.04.01. Then patch and run the game. If the game does not work, delete the fmodex.dll file that was added by the 1.00.05 patch, then rename the 1.00.04.01 version back and start the game again.

I'm having the same problem. I'll also go through the above monkey drill and post the results.

Share this post


Link to post
Share on other sites
I'm having the same problem. I'll also go through the above monkey drill and post the results.

All righty, then, I'm back.

In short, replacing fmodex.dll with the old version didn't help.

I rolled back from 1.00.05 to 1.00.04.01. I attempted to launch UCCE and it didn't work. The DVD was in the drive.

I rebooted and tried to launch UCCE and it succeeded. I was able to start one of the instant action scenarios.

I copied fmodex.dll to my desktop (it's version 0.4.10.3).

I then used the updater tool to get and apply the 1.00.05 patch. I then attempted to launch UCCE and it didn't work. I rebooted my machine and tried to launch UCCE again with no success.

I then replaced the version of fmodex.dll (0.4.12.3) that is part of the 1.00.05 patch with the saved copy (0.4.10.3) and attempted to start UCCE. No luck. I rebooted the machine and tried to launch UCCE again. No luck.

There is no indication that 1.00.05 version ever attempts to access the DVD.

(Ignore the following post from me. I didn't realize I could change history by editing my messages.)

Share this post


Link to post
Share on other sites

OK, try this.

Download this update.

Backup your UCCE.EXE file (the working v1.00.04.01)

Extract the downloaded file and run the game again.

Let me know if that works or not

Share this post


Link to post
Share on other sites

Make sure you check your email because I use ChoiceMail One to check for spam. If you haven't sent us email before, you need to respond to that challenge / response question in order for your email to get through. If you don't see that email, check your spam filter.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this  

×